Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.sql
Class SDBConnection

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnection

    public class SDBConnection

extends Object

Field Summary
`static boolean` | `logSQLExceptions`
`static boolean` | `logSQLQueries`
`static boolean` | `logSQLStatements`

Constructor Summary
`SDBConnection(Connection jdbcConnection)`
`SDBConnection(Connection jdbcConnection, String url)`
`SDBConnection(DataSource ds)`
`SDBConnection(String url, String user, String password)`

Method Summary
`void` | `close()`
`void` | `closePreparedStatement(PreparedStatement ps)` Close a prepared statement
`ResultSetJDBC` | `exec(String sqlString)` Execute a statement, return the result set if there was one, else null
`ResultSetJDBC` | `execQuery(String sqlString)`
`ResultSetJDBC` | `execQuery(String sqlString, int fetchSize)`
`ResultSetJDBC` | `execSilent(String sqlString)` Execute a statement, return the result set if there was one, else null.
`int` | `execUpdate(String sqlString)`
`Object` | `executeInTransaction(com.hp.hpl.jena.shared.Command c)`
`Object` | `executeSQL(SQLCommand c)`
`String` | `getJdbcURL()`
`String` | `getLabel()`
`Connection` | `getSqlConnection()`
`List<String>` | `getTableNames()` Get the names of the application tables
`com.hp.hpl.jena.graph.TransactionHandler` | `getTransactionHandler()`
`boolean` | `hasSQLConnection()`
`boolean` | `loggingSQLExceptions()`
`boolean` | `loggingSQLQueries()`
`boolean` | `loggingSQLStatements()`
`static SDBConnection` | `none()`
`PreparedStatement` | `prepareStatement(String sqlString)` Prepare a statement
`void` | `setJdbcURL(String jdbcURL)`
`void` | `setLabel(String label)`
`void` | `setLogSQLExceptions(boolean thisLogSQLExceptions)`
`void` | `setLogSQLQueries(boolean thisLogSQLQueries)`
`void` | `setLogSQLStatements(boolean thisLogSQLStatements)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logSQLExceptions

    public static boolean logSQLExceptions

### logSQLStatements

    public static boolean logSQLStatements

### logSQLQueries

    public static boolean logSQLQueries

Constructor Detail

### SDBConnection

    public SDBConnection(DataSource ds)
                  throws SQLException

Throws:
  `SQLException`

### SDBConnection

    public SDBConnection(String url,
                         String user,
                         String password)

### SDBConnection

    public SDBConnection(Connection jdbcConnection)

### SDBConnection

    public SDBConnection(Connection jdbcConnection,
                         String url)

Method Detail

### none

    public static SDBConnection none()

### hasSQLConnection

    public boolean hasSQLConnection()

### getTransactionHandler

    public com.hp.hpl.jena.graph.TransactionHandler getTransactionHandler()

### execQuery

    public ResultSetJDBC execQuery(String sqlString)
                            throws SQLException

  Throws:
    `SQLException`

### execQuery

    public ResultSetJDBC execQuery(String sqlString,
                                   int fetchSize)
                            throws SQLException

  Throws:
    `SQLException`

### executeInTransaction

    public Object executeInTransaction(com.hp.hpl.jena.shared.Command c)

### executeSQL

    public Object executeSQL(SQLCommand c)

### execUpdate

    public int execUpdate(String sqlString)
                   throws SQLException

  Throws:
    `SQLException`

### exec

    public ResultSetJDBC exec(String sqlString)
                       throws SQLException

  Execute a statement, return the result set if there was one, else null

  Throws:
    `SQLException`

### execSilent

    public ResultSetJDBC execSilent(String sqlString)

  Execute a statement, return the result set if there was one, else null.

### prepareStatement

    public PreparedStatement prepareStatement(String sqlString)
                                       throws SQLException

  Prepare a statement

  Throws:
    `SQLException`

### closePreparedStatement

    public void closePreparedStatement(PreparedStatement ps)
                                throws SQLException

  Close a prepared statement

  Throws:
    `SQLException`

### getTableNames

    public List<String> getTableNames()

  Get the names of the application tables

### getSqlConnection

    public Connection getSqlConnection()

### close

    public void close()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### loggingSQLExceptions

    public boolean loggingSQLExceptions()

### setLogSQLExceptions

    public void setLogSQLExceptions(boolean thisLogSQLExceptions)

### loggingSQLQueries

    public boolean loggingSQLQueries()

### setLogSQLQueries

    public void setLogSQLQueries(boolean thisLogSQLQueries)

### loggingSQLStatements

    public boolean loggingSQLStatements()

### setLogSQLStatements

    public void setLogSQLStatements(boolean thisLogSQLStatements)

### getLabel

    public String getLabel()

### setLabel

    public void setLabel(String label)

### getJdbcURL

    public String getJdbcURL()

### setJdbcURL

    public void setJdbcURL(String jdbcURL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.